Skip to main content
GET
/
integrations
/
{integrationId}
Get a connected integration
curl --request GET \
  --url https://api.vanta.com/v1/integrations/{integrationId} \
  --header 'Authorization: Bearer <token>'
{
  "integrationId": "asana",
  "displayName": "Asana",
  "resourceKinds": [
    "AsanaAccount",
    "AsanaTask"
  ],
  "connections": [
    {
      "connectionId": "62ffd6793ef7978318baefa8",
      "isDisabled": false,
      "connectionErrorMessage": null
    },
    {
      "connectionId": "62fed1234ef7978318baefa9",
      "isDisabled": true,
      "connectionErrorMessage": "Authorization Error connecting to Asana"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

integrationId
string
required

Unique identifier of the integration

Response

200 - application/json

Ok

integrationId
string
required

A unique identifier for the Integration.

displayName
string
required

The Integration's display name.

resourceKinds
string[]
required

A list of string identifiers for the resource types ingested by the Integration.

connections
object[]
required

A list of installed Connections.